using System;

namespace Quadarax.Foundation.Core.Value.Extensions
{
    public static class DateTimeExt
    {
        public static string ToFileShortDateString(this DateTime owner)
        {
            return owner.ToString("yyyyMMdd");
        }

        public static string ToFileShortTimeString(this DateTime owner)
        {
            return owner.ToString("HHmmss");
        }
        public static string ToFileShortDateTimeString(this DateTime owner)
        {
            return owner.ToFileShortDateString() + "-" + owner.ToFileShortTimeString();
        }
        public static string ToFileUtcString(this DateTime owner)
        {
            return owner.ToUniversalTime().ToString("yyyy-MM-ddT-HH-mm-ss-fff");
        }
    }
}
